Subject: [Geopriv] AD Review: draft-ietf-geopriv-held-identity-extensions-04

From: Robert Sparks <[email-masked]>
Date: Tue, 28 Sep 2010 13:26:30 -0500

Summary: This draft is ready for IETF LC - I'll be requesting that LC shortly.

Please consider the following as early LC comments:

The last sentence of (1.1 Applications) is a bare assertion.
Can you add text or point to more discussion?

The first sentence of the third paragraph of section 2.1
(Starting "The identifiers described") is very hard to parse.
Could it be simplified to "The identifiers described in this
document MUST only be used as inputs for location determination."?
Can you call out some example applications where it is not ok
to use these identifiers (helping to motivate the MUST).

In section 3.5's discussion about ensuring a URI refers to a single
device, please consider pointing to GRUU.

---

From: "Thomson, Martin" <[email-masked]>
Date: Wed, 29 Sep 2010 14:14:07 +0800

> Can you add text or point to more discussion?

Good point.  Would this help?

Section 1.1 (last paragraph), ADD:
  For instance, a policy rules document could be used to express the agreed policy.  Formal policy documents, such as [RFC4745], can be applied in an automated fashion by a LIS.

> to use these identifiers (helping to motivate the MUST).

That text sounds OK.  Actually, since this is just a (poor) paraphrase of RFC 5687, maybe we could instead lift that text:
 
      The LIS MUST be able to use the identifier [...] for location determination. 

Would this plagiarism work for you?

> device, please consider pointing to GRUU.

It was always the intent to use GRUU :)

Section 3.5, OLD:
   ...  For example, a SIP address of record URI can
   correspond to a service subscription rather than a single Device.
NEW:
   ...  For example, a SIP address of record URI can
   correspond to a service subscription rather than a single Device;
   a Globally Routable User Agent URI (GRUU) [RFC5627] might be more
   appropriate.

Cheers,
Martin